Cannot load mcrypt extension

When working with PhpMyAdmin you may see the warning:

Cannot load mcrypt extension. Please check your PHP configuration.

As it suggests you probably don't have loaded or even compiled mcrypt in your PHP. Mrypt is relatively important PHP extension as it handles a wide variety of block algorithms such as DES, TripleDES, Blowfish and others. These are important especially for the password validation of some web applications. 

However, in most cases you can ignore this warning. Especially if you are satisfied with your current PHP configuration. Depending on the application which shows it you can disable it by grepping for mcrypt and the relevant text that shows. In PhpMyAdmin simply edit libraries/config.default.php and set:

$cfg['McryptDisableWarning'] =true;

That's all and the warning about mcrypt will be gone from your PhpMyAdmin.


blog comments powered by Disqus